Subject: Re: bug#36421: Having some text with face height > 1.0 causes scroll-step to be ignored
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked], Andrea Cardaci <[email-masked]>
Date: Mon, 16 Sep 2019 05:08:30 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

> tags 36421 notabug
> thanks
>
> > From: Andrea Cardaci <[email-masked]>
> > Date: Sat, 29 Jun 2019 01:29:54 +0200
> > Cc: [email-masked]
> >
> > Yes, thanks, I'm aware of that (and actually the issue doesn't appear if I use a value > 100 for that variable),
> > but it does a different thing, for example it does not center anymore the next word when I use interactive
> > search and that's something nice to have.
> >
> > Moreover, it looks like a bug nevertheless...
>
> It is not a bug.  scroll-step works in units of the canonical line
> height, not of the actual height of the line that needs to be scrolled
> into the view.

Since this is notabug, I'm also closing it now.

Best regards,
Stefan Kangas